#!/bin/sh

install_failures=
AST_MODULES="chan_woomera.c app_changrab.c"
ast_src_dir=$1
PWD=$(pwd)


if [ "$ast_src_dir" = "" ]; then
echo
echo "Please Specify Asterisk Source Directory"
echo "Default [/usr/src/asterisk] just press <enter>"
echo
echo -n "Asterisk Source: "
read ast_src_dir

if [ "$ast_src_dir" = "" ]; then
	ast_src_dir="/usr/src/asterisk"
fi
fi

echo 
echo
echo "Installing asterisk modules in: $ast_src_dir"
echo

if [ ! -d $ast_src_dir ]; then
	echo 
        echo "Directory $ast_src_dir not found!"
        echo
        echo
        exit 1
fi

if [ ! -e  $ast_src_dir/contrib/scripts/astxs ]; then
	echo 
	echo "Invalid asterisk source in $ast_src_dir"
	echo
	echo
	exit 1
fi


cp -f $AST_MODULES $ast_src_dir/
cd $ast_src_dir

for mod in $AST_MODULES
do
	echo "Installing: $mod"
	eval "perl ./contrib/scripts/astxs -install $mod" 
	if [ $? -ne 0 ]; then
		echo 
		echo "Error: Failed to install $mod module!"
		install_failures=$install_failures"$mod "
	else
		echo "Done"
	fi
done

cd $PWD

if [ "$install_failures" = "" ]; then
	echo
	echo "Installatoin Complete"
	echo
else
	echo
	echo "-------------------------------------"
	echo
	echo "There was an ERROR in asterisk modules installation"
	echo "Following modules failed to install:"
	echo -e "\t$install_failures"
	echo
	echo
fi
